<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Attribute and Links</title>
</head>
<body>
	<!-- id assign unique name to specific element -->
	<h2 id="top">HTML Attributes</h2>
	<!-- align changes alignment atbr -->
	<p align="center">
		<em>Modifiers of element behaviors.</em>
	</p>

	<h2>HTML Images</h2>
	<p align="right">
		<em>
			<!-- &lt; &gt; html entities w/c is used for special characters -->
			An image can be shown using &lt;img&gt; tag along with its <strong>src</strong> attribute.
		</em>
	</p>
	
	<!-- img include image -->
	<!-- src accepts url from an online resource -->
	<a href="https://place-puppy.com">
	<img src="https://place-puppy.com/300x300">
	</a>
	<p>
		<!-- code display as code -->
		<code>
			&lt; img src="https://place-puppy.com/300x300" &gt;
		</code>
	</p>
	<!-- (.) symbol refers to the current directory -->
	<!-- /folder refers to accessing a diffent directory/folder -->
	<img src="./images/me.png">

	<p>
		<code>
			&lt; img src="./images/me.png" &gt; 
		</code>
	</p>

	<p>Valid image extensions are the following:</p>
	<!-- type atbr changes the numbered points of the ol elements -->
	<!-- other values (a,A,i,I) -->
	<ol type ="a" reversed>
		<li>png</li>
		<li>jpg</li>
		<li>gif</li>
		<li>svg</li>
		<li>webp</li>
	</ol>

	<h2>HTML Links</h2>
	<h4>Absolute Link</h4>

	<!-- <a> creates a hyperlink element 
		 href means hypertext reference-->
	<a href="https://zuitt.co/">Im a hyperlink</a>

	<h4>Relative Link</h4>
	<!-- Redirect to the link.html -->
	<p> Go to <a href="./link.html">link.html</a> page.</p>

	<!-- refirect to an element 
		#id used to signify id element-->
	<p>Go to <a href="#top">top</a></p>



</body>
</html>